Delete a promotion
DELETE
/api/v3/promotions/{promotionCollateralUid}
const url = 'https://api.tryletterhead.com/api/v3/promotions/example?api=true';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url 'https://api.tryletterhead.com/api/v3/promotions/example?api=true' \ --header 'Authorization: Bearer <token>'Permanently delete a promotion. Returns no content on success.
v3 endpoints expect a company API key.
Authorizations
Section titled βAuthorizations βParameters
Section titled β Parameters βPath Parameters
Section titled βPath Parameters β promotionCollateralUid
required
string
UUID of the promotion to delete
Query Parameters
Section titled βQuery Parameters β api
required
boolean
When set to true, the endpoint accepts authorization with your API Key.
Responses
Section titled β Responses β204 No Content
404 Not Found
Media type application/json
object
items
Array<object>
object
message
string
total
integer
Example
{ "items": [], "message": "Promotion not found", "total": 0}Still can’t find what you need? Contact support.